package jp.ac.kyutech.mns.ist.util;

import java.util.ArrayList;

public class PairPicker<E> {
	ArrayList<E> data;
	
	public PairPicker(ArrayList<E> d){
		data = d;
	}
	public void startpick(){
		for(int i=0;i<data.size()-1;i++){
			pick(data.get(i), data.get(i+1));
		}
	}
	public void pick(E a, E b){
		//サブクラスは，ここに処理を書く
	}
}
